eoTruncatedSelectMany(3)

NAME
eoTruncatedSelectMany - eoTruncatedSelectMany selects many individuals using eoSelectOne as it's mechanism.

SYNOPSIS

#include <eoTruncatedSelectMany.h>

Inherits eoSelect< EOT >< EOT >.

  Public Member Functions
eoTruncatedSelectMany (eoSelectOne< EOT > &_select, double _rateGenitors, double _rateFertile, bool _interpret_as_rateG=true, bool _interpret_as_rateF=true)
Ctor.
eoTruncatedSelectMany (eoSelectOne< EOT > &_select, eoHowMany _howManyGenitors, eoHowMany _howManyFertile)
virtual void operator() (const eoPop< EOT > &_source, eoPop< EOT > &_dest)
The implementation repeatidly selects an individual.

  Private Attributes
eoSelectOne< EOT > & select
eoHowMany howManyGenitors
eoHowMany howManyFertile

Detailed Description

  template<class EOT> class eoTruncatedSelectMany< EOT >
eoTruncatedSelectMany selects many individuals using eoSelectOne as it's mechanism. Therefore eoSelectMany needs an eoSelectOne in its ctor

It will use an eoHowMnay to determine the number of guys to select, and push them to the back of the destination population.

And it will only perform selection from the top guys in the population.

It is NOT a special case of eoSelectMany because it needs to SORT the population to discard the worst guys before doing the selection

However, the same result can be obtained by embedding an eoTruncatedSelectOne into an eoSelectMany ...

Definition at line 53 of file eoTruncatedSelectMany.h.

Member Function Documentation

  template<class EOT> virtual void eoTruncatedSelectMany< EOT >::operator() (const eoPop< EOT > & _source, eoPop< EOT > & _dest) [inline, virtual]

The implementation repeatidly selects an individual.

Parameters:
    _source the source population
    _dest the resulting population (size of this population is the number of times eoSelectOne is called. It empties the destination and adds the selection into it)

Implements eoBF< const eoPop< EOT > &, eoPop< EOT > &, void >.

Definition at line 77 of file eoTruncatedSelectMany.h.

References eoSelectOne< EOT, WorthT >::setup(), eoPop< EOT >::shuffle(), and eoPop< EOT >::sort().

Author

Generated automatically by Doxygen for EO from the source code.